
OrTopology = InteractionNetwork{1};

for id_t = 2:total_time 
    % Update the network
    InteractionNetwork = BC_UpdateNetwork(Opinions(:, id_t-1), AgentParameters, InteractionNetwork);

    % Update the opinions
    Opinions(:,id_t) = BC_UpdateOpinion(Opinions(:, id_t-1), InteractionNetwork);
end

if ~isequal(OrTopology, InteractionNetwork{1})
    disp('This is a problem, as the underlying topology must remain unchanged')
    keyboard
end









